Identify Features it`s broken by design

2015-08-20 01:37 AM - baditaflorin -

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21301

Description

The function works, but without a better coloring schema, all the time, when it`s selecteing more then one object, i am never sure at what

object i am looking, making the function not useful for common use.

Every 3-4 months, i return to this function, only to remember why i did not used it

One suggestion would be to have a 2 ways colors schema, where i see the actual linestrings with one color, and the others that are

selected with a different color.

History

#1 - 2015-08-20 07:37 AM - Regis Haubourg

Hi, when selecting an object in identify result window, you can highlight it. 

Otherwise you can use right clic mode, (the same as "choose layer" mode). This way you can navigate in the dropdown menu on layers/objects tree right

where you clicked on the map. Since I discovered that mode, I just didn't use the others any more. 

Cheers

#2 - 2015-08-20 01:15 PM - Anita Graser

- Category set to GUI

- Priority changed from Normal to Low

When you use the identify tool with left click, it picks all features within a certain tolerance, highlights them, and lists them in the identify panel. You can then

go through the entries in the identify panel and the map will update to only show the selected one.

The other option is the identify right click as Regis already mentioned.

I'm not sure if two highlight colors will be helpful or confusing.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
